# $Revision: 1.10.2.1 $, $Date: 2003/03/13 00:56:41 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	CGI
%define	pnam	WML
Summary:	CGI::WML - Subclass LDS's "CGI.pm" for WML output and WML methods
Summary(pl):	CGI::WML - podklasa CGI.pm do wyjcia i metod WML
Name:		perl-CGI-WML
Version:	0.09
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-CGI
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTML-TableExtract
BuildRequires:	perl-XML-Parser
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::WML provides WML output and WML methods for CGI programming.
The purpose of the module is to retain the familiar CGI.pm way of
programming to enable experienced CGI programmers to use their
existing skills when creating WAP applications.

%description -l pl
CGI::WML udostpnia wyjcie WML i metody WML do programowania CGI.
Celem tego moduu jest zachowanie znanej metody programowania CGI, aby
umoliwi dowiadczonym programistom CGI uywanie swoich umiejtnoci
przy tworzeniu aplikacji WAP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-CGI-WML.spec,v $
Revision 1.10.2.1  2003/03/13 00:56:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.10  2003/02/25 00:36:52  radek
- use the __perl macro

Revision 1.9  2003/02/21 23:35:46  ankry
- autoupdated to 0.09

Revision 1.8  2003/02/19 15:16:55  ankry
- autoupdated to 0.08

Revision 1.7  2003/02/18 15:27:11  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/02/05 19:56:37  radek
- release 1, it's OK now

Revision 1.5  2003/02/05 16:50:33  ankry
- release 0.1

Revision 1.4  2003/02/05 16:17:15  ankry
- autoupdated to 0.07

Revision 1.3  2002/09/30 11:10:32  radek
- release 2 -> 0.2

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/04 19:28:40  radek
- new, broken: folks seem to dislike File::Temp and forgot to copy the
  CGITempFile class from CGI.pm, so tests fail; waiting for a new version
